import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MEEmailAddress extends _NSObject {
    static alloc(): _MEEmailAddress;
    static new(): _MEEmailAddress;
    init(): _MEEmailAddress;
    initWithRawString$(rawString: _NSString): _MEEmailAddress;
    /** The raw string for the email address. */
    rawString(): _NSString;
    /**
     * The simple address string portion of the raw string if it is valid. For example, the of "John Appleseed <j.appleseed@example.com>" will be "j.appleseed@example.com".
     */
    addressString(): _NSString | null;
}
export interface _MEEmailAddress extends _NSSecureCoding, _NSCopying {
}
